All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.commands.remotefileselector.ifileservice
Class DeleteCommand

    com.sas.commands.remotefileselector.ifileservice.DeleteCommand

All Implemented Interfaces:
  ContentsChangedInterface, DynamicAttributeCommandInterface, BaseEntityInterface, BaseEntityValueInterface, EntityKeyInterface, com.sas.lang.StringDataInterface, com.sas.PublicClonable, com.sas.util.Command, com.sas.util.SimpleCommand, java.lang.Cloneable, java.rmi.Remote

    public class DeleteCommand

implements ContentsChangedInterface

This class implements the delete command.

Since:
  3.1

Field Summary
`static java.lang.String` | `RB_KEY` the resource key

Fields inherited from interface com.sas.commands.DynamicAttributeCommandInterface
`COMMAND_NAME_PREFIX`

Constructor Summary
`DeleteCommand()` Default constructor
`DeleteCommand(java.lang.String name)` Constructor that accepts a command name.
`DeleteCommand(java.lang.String name, java.lang.String actionClass)` Constructor that accepts a command name and an action class type.

Method Summary
`void` | `execute(java.lang.Object o)` Performs the delete operation on the model.
`java.util.HashMap` | `getEventInfo()` Returns information about the command.
`java.lang.Object` | `getEventSource()` Returns the event source item "path".
`int` | `getIndex()` Returns the index of the deleted item.
`SortableTableModelAdapter` | `getTableModel()` Returns the view's table model object.
`boolean` | `isContentsChanged()` Tests whether the contents are changed.
`boolean` | `isSupported(ActionSupportFilter actionFilter)` Returns a boolean indicating whether the command is supported for the area specified on the ActionSupportFilter argument.
`void` | `setEventSource(java.lang.Object eventSource)` Allows setting of the event source.
`void` | `setIndex(int index)` Sets the index of the item to be deleted.
`void` | `setTableModel(SortableTableModelAdapter tableModel)` Set the view's table model for the command.

Methods inherited from class com.sas.commands.BaseCommand
`getLocale, getName, getNextCommandName, getText, isExecutable, isUndoable, setLocale, setName, setText, undo`

Methods inherited from class com.sas.entities.BaseEntity
`clone, containsAttributeNamed, equals, equals, getAttribute, getAttribute, getAttributeCount, getAttributes, getEntityKey, getPropertyDescriptors, getStringAttribute, listAttributeNames, removeAllAttributes, removeAttribute, reset, sameEntity, setAttribute, setAttributes, setEntityKey, toString`

Methods inherited from interface com.sas.entities.BaseEntityValueInterface
`getAttribute, setAttribute`

Methods inherited from interface com.sas.util.Command
`clone`

Field Detail

### RB_KEY

    public static final java.lang.String RB_KEY

  the resource key

  See Also:
    Constant Field Values

Constructor Detail

### DeleteCommand

    public DeleteCommand()

  Default constructor

### DeleteCommand

    public DeleteCommand(java.lang.String name)

  Constructor that accepts a command name.

  Parameters:
    `name` - the command name

### DeleteCommand

    public DeleteCommand(java.lang.String name,
                         java.lang.String actionClass)

  Constructor that accepts a command name and an action class type.

  Parameters:
    `name` - the command name
    `actionClass` - the action class type

Method Detail

### execute

    public void execute(java.lang.Object o)

  Performs the delete operation on the model.

  Specified by:
    `execute` in interface `com.sas.util.SimpleCommand`
  Specified by:
    `execute` in class `BaseCommand`
  Parameters:
    `o` - the object where the command is executed.

### isContentsChanged

    public boolean isContentsChanged()

  Tests whether the contents are changed.

  Specified by:
    `isContentsChanged` in interface `ContentsChangedInterface`
  Returns:
    true = contents are changed

### getEventInfo

    public java.util.HashMap getEventInfo()

  Returns information about the command.

  Specified by:
    `getEventInfo` in interface `ContentsChangedInterface`
  Returns:
    a HashMaP containing the path where the delete took place

### getEventSource

    public java.lang.Object getEventSource()

  Returns the event source item "path".

  Specified by:
    `getEventSource` in interface `ContentsChangedInterface`
  Returns:
    the event source
  See Also:
    `setEventSource(Object)`

### setEventSource

    public void setEventSource(java.lang.Object eventSource)

  Allows setting of the event source.

  Parameters:
    `eventSource` - the item to set as the event source
  See Also:
    `getEventSource()`

### isSupported

    public boolean isSupported(ActionSupportFilter actionFilter)

  Returns a boolean indicating whether the command is supported for the area specified on the ActionSupportFilter argument.

  Parameters:
    `actionFilter` - The object that describes the current area.
  Returns:
    a boolean indicating whether the command is supported.

### setTableModel

    public void setTableModel(SortableTableModelAdapter tableModel)

  Set the view's table model for the command.

  Parameters:
    `tableModel` - the table model object
  See Also:
    `getTableModel()`

### getTableModel

    public SortableTableModelAdapter getTableModel()

  Returns the view's table model object.

  Returns:
    the table model object
  See Also:
    `setTableModel(SortableTableModelAdapter)`

### setIndex

    public void setIndex(int index)

  Sets the index of the item to be deleted.

  Parameters:
    `index` - deleted item's index
  See Also:
    `getIndex()`

### getIndex

    public int getIndex()

  Returns the index of the deleted item.

  Returns:
    deleted item's index
  See Also:
    `setIndex(int)`

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.